Name:	 enchant
Version: 1.3.0
Release: alt0.1

%def_disable static

Summary: An Enchanting Spell Checking Program
Group:	 Text tools
License: LGPL
URL:	 http://www.abisource.com/projects/enchant

Packager: Vital Khilko <vk@altlinux.ru>

Source:	 ftp://ftp.gnome.org/pub/GNOME/sources/libenchant/%name-%version.tar.bz2
Source2: %name-spell.bz2

%define aspell_ver 0.50.0
%define glib_ver 2.6.0

Requires:  lib%name = %version-%release

# Automatically added by buildreq on Wed Sep 27 2006
BuildRequires: aspell gcc-c++ glib2-devel libaspell-devel

BuildRequires: libaspell-devel >= %aspell_ver
BuildRequires: glib2-devel >= %glib_ver

Provides: ispell
Provides: %_bindir/spell

%description
This package contains simple programs that wrap other spell checking backends,
including an Ispell compatible script. 

%package -n lib%name
Summary: An Enchanting Spell Checking Library
Group: System/Libraries
Requires: libaspell >= %aspell_ver
Requires: glib2 >= %glib_ver

%description -n lib%name
A library that wraps other spell checking backends.

%package -n lib%name-devel
Summary: Support files necessary to compile applications with libenchant.
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
Libraries, headers, and support files necessary to compile applications
using libenchant.

%package -n lib%name-devel-static
Summary: Static library needed to build static applications with lib%name.
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static library needed to build statically linked applications with %name.

%prep
%setup -q

%build
#CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix}
%configure --with-ispell-dir=/usr/lib/ispell
%make_build

%install
%make_install DESTDIR=%buildroot install
sed 's,@prefix@,%_prefix,' < tests/ispell.in > %buildroot%_bindir/%name-ispell
chmod 0755 %buildroot%_bindir/%name-ispell

bzcat %SOURCE2 > %buildroot%_bindir/%name-spell
chmod 0755 %buildroot%_bindir/%name-spell

mkdir -p %buildroot%_altdir
cat <<EOF >%buildroot%_altdir/%name
%_bindir/ispell	%_bindir/%name-ispell	60
%_bindir/spell	%_bindir/%name-spell	%_bindir/%name-ispell
EOF

# remove unpackaged files
rm -f %buildroot%_libdir/%name/*.la
%if_disabled static
rm -f %buildroot%_libdir/%name/*.a
rm -f %buildroot%_libdir/*.a
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post 
%register_alternatives %name -- ispell

%preun
%unregister_alternatives %name

%files
%_altdir/%name
%_bindir/*
%_man1dir/*

%files -n lib%name
%doc AUTHORS COPYING.LIB README
%_libdir/*.so.*
%dir %_libdir/%name
%_libdir/%name/*.so*
%_datadir/%name

%files -n lib%name-devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Sep 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.0-alt0.1
- Updated to 1.3.0

* Sat Jun 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.6-alt0.1
- Release 1.2.6

* Tue Apr 25 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.5-alt0.1
- Updated to 1.2.5
- Major spec cleanup in conformance to ALT spec conventions
- Updated alternatives format
- Somewhat better English here and there in descriptions

* Wed Dec 14 2005 Vital Khilko <vk@altlinux.ru> 1.2.0-alt2
- #8617

* Fri Dec 09 2005 Vital Khilko <vk@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Mon Apr 04 2005 Vital Khilko <vk@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Mon Nov 24 2003 Vital Khilko <vk@altlinux.ru> 1.1.1-alt1
- adapted for ALT Linux
- added alternatives for enchant-ispell script

* Sun Aug 24 2003 Rui Miguel Seabra <rms@1407.org>
- update spec to current stat of affairs
- building from source rpm is now aware of --with and --without flags:
- --without aspell --without ispell --without myspell --with uspell

* Wed Jul 16 2003 Rui Miguel Seabra <rms@1407.org>
- take advantage of environment rpm macros

* Sun Jul 13 2003 Dom Lachowicz <cinamod@hotmail.com>
- Initial version
